//
//  Week6_QuartzAnimationTouchesViewController.m
//  Week6_QuartzAnimationTouches
//
//  Created by Jason Fieldman on 2/17/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "Week6_QuartzAnimationTouchesViewController.h"
#import "MyCustomIndicator.h"
#import "MyTouchTracker.h"

@implementation Week6_QuartzAnimationTouchesViewController


- (id) init {
	if (self = [super init]) {
		
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		
		/* Create the custom indicator */
		MyCustomIndicator *indicator = [[[MyCustomIndicator alloc] initWithFrame:CGRectMake(40, 40, 40, 40)] autorelease];
		indicator.backgroundColor = [UIColor clearColor];
		[indicator startAnimating];
		[self.view addSubview:indicator];
		
		
		/* And lets make it move back and forth using UIView animation */
		[UIView beginAnimations:nil context:NULL];
		[UIView setAnimationCurve:UIViewAnimationCurveEaseInOut];
		[UIView setAnimationDuration:1];
		[UIView setAnimationRepeatCount:10000000];
		[UIView setAnimationRepeatAutoreverses:YES];
		
		CGPoint p = indicator.center;
		p.x += 100;
		indicator.center = p;
				
		[UIView commitAnimations];
		
		
		/* And let's add a touch tracker */
		MyTouchTracker *touchTracker = [[[MyTouchTracker alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		[self.view addSubview:touchTracker];
				
		
	}
	return self;
}


- (void)dealloc {
    [super dealloc];
}

@end
