//
//  MyCustomIndicator.h
//  Week6_QuartzAnimationTouches
//
//  Created by Jason Fieldman on 2/17/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#define kNumPetals 8
#define kPetalInc  (2*M_PI / kNumPetals)
#define kPetalColorDec 0.09
#define kAnimDelay 0.1

@interface MyCustomIndicator : UIView {
	int progressPosition;
	NSTimer *animationTimer;
}

- (void) startAnimating;
- (void) stopAnimating;

@end
